Subject: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Sep 2020 17:23:10 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>         [email-masked]
> Date: Wed, 09 Sep 2020 07:46:23 +0000
> 
> > I wonder if I would ever see any benefit form the speedup of native
> > compilation.  I hardly ever notice waiting for Emacs to do computation.
> > But I would find a big slowdown in building to be a pain.
> 
> Hi Richard,
> 
> It is certainly very workflow dependent.  I think too many don't need
> it, for others is the opposite.

I very much doubt that anyone will give up this feature, unless they
have some serious problem with using it (such as that a single Emacs
build needs to run for hours).

> > Maybe I would prefer to turn off native compilation, pure and simple.
> 
> ATM even in the feature branch this is off by default, must be activated
> with a configure switch otherwise just vanilla Emacs is built.

When this lands on master, we almost certainly will make the configure
script probe the system, and turn this feature on if the prerequisites
are detected.  Like we do with most other important features.